package pl.polgrabia.demos.kotlin

import kotlin.collections.*

fun main() {
  // val data = listOf(1, 2, 3, 4)
  val data : Array<Int> = Array(10) { 1 }
  val s = data.reduceOrNull ({ r,v -> 
    r + v
  })
  println("Hello World!!! Sum: $s")
}
